#include "myIncludes.h"
#include "myProtos.h"


#define kBadCombo	129

extern	AEDesc		gTheAddress;
extern	Boolean		gQuit, gInBackground;
extern	EventRecord	gEvRecord;


#ifndef kResumeMask
#define kResumeMask             1       /* bit of message field for resume vs. suspend */
#endif kResumeMask


pascal Boolean idleProc(EventRecord *ev, long *sleep, RgnHandle *mouseRgn);
pascal Boolean idleProc(EventRecord *ev, long *sleep, RgnHandle *mouseRgn)
{
	switch (ev->what) 
		{
		case nullEvent:	/* no null processing */
			*sleep = 0;
			mouseRgn = NULL;
			break;
		case updateEvt:
		case activateEvt:
			break;
		case app4Evt:
			switch ((gEvRecord.message >> 24) & 0x0FF) 
				{
				case suspendResumeMessage:
					gInBackground = (gEvRecord.message & kResumeMask) == 0;
					break;
				}
			break;
		}
	
	return(false);      /* wait forever */
}


void SendSimple(void);
void SendSimple(void)
{
AppleEvent	ourEvent, ourReply;
OSErr		err;
    
	err = AECreateAppleEvent(kChoirEventClass, STEP1, &gTheAddress, 
				kAutoGenerateReturnID, kAnyTransactionID, &ourEvent);
	err = AESend(&ourEvent, &ourReply, kAENoReply, kAENormalPriority, 
				kAEDefaultTimeout, (IdleProcPtr)idleProc, nil);
	
	err = AEDisposeDesc(&ourEvent);
}


void SendErrorMsg(void);
void SendErrorMsg(void)
{
AppleEvent	ourEvent, ourReply;
OSErr		err;
Ptr			parameter=NewPtr(150);
    
	err = AECreateAppleEvent(kChoirEventClass, STEP2, &gTheAddress, kAutoGenerateReturnID, kAnyTransactionID, &ourEvent);
    if (err)
		StopAlert(kBadCombo, nil);
	else
		{
	/*	strcpy(parameter, "An Error Has Occurred.");	*/
		err = AEPutParamPtr(&ourEvent, 'dosc', typeChar, parameter, /* strlen(parameter) */ 1);
		err = AESend(&ourEvent, &ourReply, kAENoReply, 
			kAENormalPriority, /*kAEDefaultTimeout*/ 15*60, (IdleProcPtr)idleProc, nil);
		}
	
	DisposPtr(parameter);
	err = AEDisposeDesc(&ourEvent);
}


void reportAddress(char	*theAddressP);
void reportAddress(char *theAddressP)
{
AppleEvent	ourEvent, ourReply;
OSErr		err;
Ptr			scriptStringP;
	
	scriptStringP = NewPtrClear(255);
/*	strcpy(scriptStringP, "put \"");
	strncat(scriptStringP, theAddressP, 5);
	strcat(scriptStringP, "\" into cd fld \"CurrFrame\" of wd \"VideoTape\" of proj gMediaText");
*/	
	err = AECreateAppleEvent(kChoirEventClass, STEP3, &gTheAddress, kAutoGenerateReturnID, kAnyTransactionID, &ourEvent);
	if (err)
		StopAlert(kBadCombo, nil);
	else
		{
		err = AEPutParamPtr(&ourEvent, '----', typeChar, scriptStringP, 1 /* strlen(scriptStringP) */);
		err = AESend(&ourEvent, &ourReply, kAENoReply, 
			kAENormalPriority, /*kAEDefaultTimeout*/ 15*60, (IdleProcPtr)idleProc, nil);
		}
		
	DisposePtr(scriptStringP);
	AEDisposeDesc(&ourEvent);
}

