pascal OSErr AEOpenHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr AEOpenDocHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr AEPrintHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr AEQuitHandler(AppleEvent *messagein, AppleEvent *reply, long refIn);

pascal OSErr do_step1(AppleEvent *messagein, AppleEvent *reply, long refIn);
pascal OSErr do_step2(AppleEvent *messagein, AppleEvent *reply, long refIn);


#define kChoirEventClass	'coir'
#define TREBLE_VOICE		'treb'
#define BASS_VOICE			'bass'
#define MUSIC_TYPE			'msic'
#define MUSIC_TREBLE		'msct'
#define MUSIC_BASS			'mscb'
#define TICKS_PARAM			'tix '

#define STEP1	'st01'
#define STEP2	'st02'



typedef struct music
	{
	short			duration;
	short			midiFreq;
	} music;


OSErr get_music(void);
OSErr get_members(long *numNeeded);
OSErr get_self(long	*numNeeded);
OSErr send_music(void);
void copy_mem( void *ptr1, void *ptr2, long len);


extern music	gTrebMusic[1024];
extern music	gBassMusic[1024];
extern long		gNumMembers;
extern long		gNumTrebNotes, gNumBassNotes;

extern short	gMidiPart[256];

extern AEDesc	*gMembers[20];
extern long		gTix[20];

